package edu.ucsc.its.temerity.shared.database

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import edu.ucsc.its.temerity.remote.Device
import edu.ucsc.its.temerity.remote.Group
import edu.ucsc.its.temerity.remote.User

@Dao
interface TemerityDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertGroupList(groupList: List<Group>)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertUserList(userList: List<User>)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertDeviceList(deviceList: List<Device>)
}