package edu.ucsc.its.temerity

import io.kotest.core.spec.style.FunSpec
import java.io.FilenameFilter
import kotlin.io.path.Path
import org.dotenv.vault.dotenvVault

class SchedulerReportUtils : FunSpec() {
    init {
        coroutineDebugProbes = true

        val dotenv = dotenvVault()

        test("Collate recordings per room") {
            val schedulerReportsRoot = Path(dotenv["SCHEDULER_REPORTS_LOCATION"]).toFile()
            val reportFilter = FilenameFilter { _, name -> name.endsWith(".csv") }
            val reportFrames = schedulerReportsRoot.listFiles(reportFilter)


        }
    }
}